// --- Globals iPage constants ---

/**
 * Key to store principal in application session.
 */
const PRINCIPAL_KEY = "urn:mozilla:package:ipage:PRINCIPAL";

/**
 * Key to store principal sites.
 */
const PRINCIPAL_SITES_KEY = "urn:mozilla:package:ipage:PRINCIPAL_SITES";

/**
 * Key to store default locale.
 */
const LOCALE_KEY = "urn:mozilla:package:ipage:LOCALE";

/**
 * Token string separating error message from error key.
 */
const ERROR_KEY_TOKEN = new String("Exception from service object: ");

/**
 * Topic of notification when principal changes.
 */
const PRINCIPAL_CHANGE_TOPIC = "principalChangeTopic";

/**
 * Topic of notification when state of page clipboad (shelf) changes.
 */
const PAGE_CLIPBOARD_TOPIC = "pageClipboardTopic";

/**
 * Topic of notification when state of page clipboad (shelf) changes.
 */
const IMAGE_CLIPBOARD_TOPIC = "imageClipboardTopic";

/**
 * Topic of notification indicating that page library directory
 * should be loaded.
 */
const PAGE_LIB_DIR_LOAD_TOPIC = "pageLibDirLoadTopic";

/**
 * Type for leaf in library.
 */
const LIBRARY_LEAF = 0x0;

/**
 * Type for directory in library.
 */
const LIBRARY_DIRECTORY = 0x1;

/**
 * Name of image library (JPEG, Gif, PNG, ...)
 */
const IMAGE_LIBRARY = "image";

/**
 * Name of animation library (flash, ...)
 */
const ANIMATION_LIBRARY = "animation";

/**
 * Name of document library (word, PDF, ...)
 */
const DOCUMENT_LIBRARY = "document";

/**
 * Name of movie library (MPEG movie, ...)
 */
const MOVIE_LIBRARY = "movie";

/**
 * Name of audio library (MP3, Wave, ...)
 */
const AUDIO_LIBRARY = "audio";

/**
 * Mime type for item in page library.
 */
const PAGE_LIBRARY_ITEM_MIME_TYPE = "application/ipage-pagelib-item";
